std::experimental::ostream_joiner< _DelimT, _CharT, _Traits >(3cxx)

NAME
std::experimental::ostream_joiner< _DelimT, _CharT, _Traits > - Output iterator that inserts a delimiter between elements.

SYNOPSIS

#include <iterator>

  Public Types

typedef _CharT char_type
typedef void difference_type
typedef output_iterator_tag iterator_category
typedef basic_ostream< _CharT, _Traits > ostream_type
typedef void pointer
typedef void reference
typedef _Traits traits_type
typedef void value_type

  Public Member Functions

ostream_joiner (ostream_type &__os, _DelimT &&__delimiter) noexcept(is_nothrow_move_constructible_v< _DelimT >)
ostream_joiner (ostream_type &__os, const _DelimT &__delimiter) noexcept(is_nothrow_copy_constructible_v< _DelimT >)
ostream_joiner & operator* () noexcept
ostream_joiner & operator++ () noexcept
ostream_joiner & operator++ (int) noexcept
template<typename _Tp > ostream_joiner & operator= (const _Tp &__value)

Detailed Description

  template<typename _DelimT, typename _CharT = char, typename _Traits = char_traits<_CharT>>
class std::experimental::ostream_joiner< _DelimT, _CharT, _Traits >"Output iterator that inserts a delimiter between elements.

Author

Generated automatically by Doxygen for libstdc++ from the source code.